Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.avtransport.dto
Class MediaInfo

    java.lang.Object
      org.teleal.cling.support.avtransport.dto.MediaInfo

    public class MediaInfo

extends java.lang.Object

Constructor Summary
`MediaInfo()`
`MediaInfo(java.util.Map<java.lang.String,org.teleal.cling.model.action.ActionArgumentValue> args)`
`MediaInfo(java.lang.String currentURI, java.lang.String currentURIMetaData)`
`MediaInfo(java.lang.String currentURI, java.lang.String currentURIMetaData, java.lang.String nextURI, java.lang.String nextURIMetaData, org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks, java.lang.String mediaDuration, StorageMedium playMedium)`
`MediaInfo(java.lang.String currentURI, java.lang.String currentURIMetaData, java.lang.String nextURI, java.lang.String nextURIMetaData, org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks, java.lang.String mediaDuration, StorageMedium playMedium, StorageMedium recordMedium, RecordMediumWriteStatus writeStatus)`
`MediaInfo(java.lang.String currentURI, java.lang.String currentURIMetaData, org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks, java.lang.String mediaDuration, StorageMedium playMedium)`
`MediaInfo(java.lang.String currentURI, java.lang.String currentURIMetaData, org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks, java.lang.String mediaDuration, StorageMedium playMedium, StorageMedium recordMedium, RecordMediumWriteStatus writeStatus)`

Method Summary
`java.lang.String` | `getCurrentURI()`
`java.lang.String` | `getCurrentURIMetaData()`
`java.lang.String` | `getMediaDuration()`
`java.lang.String` | `getNextURI()`
`java.lang.String` | `getNextURIMetaData()`
`org.teleal.cling.model.types.UnsignedIntegerFourBytes` | `getNumberOfTracks()`
`StorageMedium` | `getPlayMedium()`
`StorageMedium` | `getRecordMedium()`
`RecordMediumWriteStatus` | `getWriteStatus()`
`protected static StorageMedium` | `storageMediumFor(java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaInfo

    public MediaInfo()

### MediaInfo

    public MediaInfo(java.util.Map<java.lang.String,org.teleal.cling.model.action.ActionArgumentValue> args)

### MediaInfo

    public MediaInfo(java.lang.String currentURI,
                     java.lang.String currentURIMetaData)

### MediaInfo

    public MediaInfo(java.lang.String currentURI,
                     java.lang.String currentURIMetaData,
                     org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks,
                     java.lang.String mediaDuration,
                     StorageMedium playMedium)

### MediaInfo

    public MediaInfo(java.lang.String currentURI,
                     java.lang.String currentURIMetaData,
                     org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks,
                     java.lang.String mediaDuration,
                     StorageMedium playMedium,
                     StorageMedium recordMedium,
                     RecordMediumWriteStatus writeStatus)

### MediaInfo

    public MediaInfo(java.lang.String currentURI,
                     java.lang.String currentURIMetaData,
                     java.lang.String nextURI,
                     java.lang.String nextURIMetaData,
                     org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks,
                     java.lang.String mediaDuration,
                     StorageMedium playMedium)

### MediaInfo

    public MediaInfo(java.lang.String currentURI,
                     java.lang.String currentURIMetaData,
                     java.lang.String nextURI,
                     java.lang.String nextURIMetaData,
                     org.teleal.cling.model.types.UnsignedIntegerFourBytes numberOfTracks,
                     java.lang.String mediaDuration,
                     StorageMedium playMedium,
                     StorageMedium recordMedium,
                     RecordMediumWriteStatus writeStatus)

Method Detail

### getCurrentURI

    public java.lang.String getCurrentURI()

### getCurrentURIMetaData

    public java.lang.String getCurrentURIMetaData()

### getNextURI

    public java.lang.String getNextURI()

### getNextURIMetaData

    public java.lang.String getNextURIMetaData()

### getNumberOfTracks

    public org.teleal.cling.model.types.UnsignedIntegerFourBytes getNumberOfTracks()

### getMediaDuration

    public java.lang.String getMediaDuration()

### getPlayMedium

    public StorageMedium getPlayMedium()

### getRecordMedium

    public StorageMedium getRecordMedium()

### getWriteStatus

    public RecordMediumWriteStatus getWriteStatus()

### storageMediumFor

    protected static StorageMedium storageMediumFor(java.lang.String value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.